Bug 1087742 - Review Request: php-horde-turba - A web based address book
Review Request: php-horde-turba - A web based address book
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-15 04:12 EDT by Remi Collet
Modified: 2014-06-11 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-horde-turba-4.1.4-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-17 01:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-04-15 04:12:46 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/63a3383013508eb874ea42d5cc2693fa4d144bfe/php/horde/php-horde-turba/php-horde-turba.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-turba-4.1.4-1.remi.src.rpm
Description: 
Turba is the Horde contact management application. Leveraging the Horde
framework to provide seamless integration with IMP and other Horde
applications, it supports storing contacts in SQL, LDAP, Kolab, and IMSP
address books.

Fedora Account System Username: remi
Comment 1 Pavel Alexeev 2014-05-16 12:40:54 EDT
===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing does not list just ASL, only ASL 1.0, ASL 1.1, ASL 2.0 present. Needs clarification.
[!x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
Other cleanup also required if it is not targeted to EL-5. On import stage if you are prefer.

===== SHOULD items =====
[!]: Package consistently uses macros (instead of hard-coded directory names).
%setup -q -c -T
tar xif %{SOURCE0}

Should be just %setup…
[!]: Packages should try to preserve timestamps of original installed files.
Please preserve timestamp on package.xml mangled in %prep.
Comment 2 Pavel Alexeev 2014-05-16 12:50:57 EDT
Formal review:
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing does not list just ASL, only ASL 1.0, ASL 1.1, ASL 2.0 present. Needs clarification.

[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 127 files have unknown license. Detailed output
     of licensecheck in /home/pasha/SOFT/Review/php-horde-turba/1087742-php-
     horde-turba/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/horde
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/horde/turba/lib/Driver(turba),
     /usr/share/horde/turba/templates(turba),
     /usr/share/horde/turba/locale/zh_CN(turba),
     /usr/share/horde/turba/templates/browse(turba),
     /usr/share/horde/turba/themes(turba),
     /usr/share/horde/turba/locale/zh_TW(turba),
     /usr/share/horde/turba(turba),
     /usr/share/horde/turba/templates/prefs(turba), /etc/horde/turba(turba),
     /usr/share/horde/turba/templates/list(turba),
     /usr/share/horde/turba/lib(turba),
     /usr/share/horde/turba/lib/Object(turba),
     /usr/share/horde/turba/addressbooks(turba),
     /usr/share/horde/turba/templates/data(turba),
     /usr/share/horde/turba/lib/Data(turba),
     /usr/share/horde/turba/locale/zh_TW/LC_MESSAGES(turba),
     /usr/share/horde/turba/lib/Block(turba),
     /usr/share/horde/turba/templates/block(turba),
     /usr/share/horde/turba/locale/zh_CN/LC_MESSAGES(turba),
     /usr/share/horde/turba/js(turba), /usr/share/horde/turba/locale(turba)

Conflicts with package turba which is obsoleted by this and orphaned in devel.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
Other cleanup also required if it is not targeted to EL-5. On import stage if you are prefer.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
%setup -q -c -T
tar xif %{SOURCE0}

Should be just %setup…

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
     Obsolete handled correctly.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!x]: Buildroot is not present
     Note: Buildroot: present but not needed
Cleanup needed. On import if you prefer.
[!x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!x]: %check is present and all tests pass.
Justification comment present in spec. Please include it when it became ready.
[!]: Packages should try to preserve timestamps of original installed files.
Please preserve timestamp on package.xml mangled in %prep.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: php-horde-turba-4.1.4-1.fc21.noarch.rpm
          php-horde-turba-4.1.4-1.fc21.src.rpm
php-horde-turba.noarch: W: invalid-license ASL
php-horde-turba.noarch: W: conffile-without-noreplace-flag /etc/horde/turba/menu.php.dist
php-horde-turba.noarch: W: conffile-without-noreplace-flag /etc/horde/turba/conf.xml
php-horde-turba.noarch: W: conffile-without-noreplace-flag /etc/horde/turba/hooks.php.dist
php-horde-turba.noarch: E: non-standard-dir-perm /etc/horde/turba 0770L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/menu.php.dist 0640L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/conf.xml 0660L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/mime_drivers.php 0660L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/hooks.php.dist 0640L
php-horde-turba.noarch: E: zero-length /usr/share/horde/turba/addressbooks/index.php
php-horde-turba.noarch: E: non-executable-script /usr/share/pear-data/turba/scripts/ldap/addou.pl 0644L /usr/bin/perl
php-horde-turba.noarch: E: non-executable-script /usr/share/pear-data/turba/scripts/ldap/addou 0644L /bin/sh
php-horde-turba.noarch: E: non-readable /etc/horde/turba/attributes.php 0660L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/prefs.php 0660L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/backends.php 0660L
php-horde-turba.noarch: W: no-manual-page-for-binary turba-public-to-horde-share
php-horde-turba.noarch: W: no-manual-page-for-binary turba-convert-sql-shares-to-sqlng
php-horde-turba.noarch: W: no-manual-page-for-binary turba-convert-datatree-shares-to-sql
php-horde-turba.noarch: W: no-manual-page-for-binary turba-import-squirrelmail-sql-abook
php-horde-turba.noarch: W: no-manual-page-for-binary turba-import-vcards
php-horde-turba.noarch: W: no-manual-page-for-binary turba-import-squirrelmail-file-abook
php-horde-turba.noarch: W: install-file-in-docs /usr/share/doc/pear/turba/INSTALL
php-horde-turba.src: W: invalid-license ASL
php-horde-turba.src:182: W: macro-in-comment %{pear_phpdir}
2 packages and 0 specfiles checked; 11 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-horde-turba
php-horde-turba.noarch: W: invalid-license ASL
php-horde-turba.noarch: W: conffile-without-noreplace-flag /etc/horde/turba/menu.php.dist
php-horde-turba.noarch: W: conffile-without-noreplace-flag /etc/horde/turba/conf.xml
php-horde-turba.noarch: W: conffile-without-noreplace-flag /etc/horde/turba/hooks.php.dist
php-horde-turba.noarch: E: non-standard-dir-perm /etc/horde/turba 0770L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/menu.php.dist 0640L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/conf.xml 0660L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/mime_drivers.php 0660L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/hooks.php.dist 0640L
php-horde-turba.noarch: E: zero-length /usr/share/horde/turba/addressbooks/index.php
php-horde-turba.noarch: E: non-executable-script /usr/share/pear-data/turba/scripts/ldap/addou.pl 0644L /usr/bin/perl
php-horde-turba.noarch: E: non-executable-script /usr/share/pear-data/turba/scripts/ldap/addou 0644L /bin/sh
php-horde-turba.noarch: E: non-readable /etc/horde/turba/attributes.php 0660L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/prefs.php 0660L
php-horde-turba.noarch: E: non-readable /etc/horde/turba/backends.php 0660L
php-horde-turba.noarch: W: no-manual-page-for-binary turba-public-to-horde-share
php-horde-turba.noarch: W: no-manual-page-for-binary turba-convert-sql-shares-to-sqlng
php-horde-turba.noarch: W: no-manual-page-for-binary turba-convert-datatree-shares-to-sql
php-horde-turba.noarch: W: no-manual-page-for-binary turba-import-squirrelmail-sql-abook
php-horde-turba.noarch: W: no-manual-page-for-binary turba-import-vcards
php-horde-turba.noarch: W: no-manual-page-for-binary turba-import-squirrelmail-file-abook
php-horde-turba.noarch: W: install-file-in-docs /usr/share/doc/pear/turba/INSTALL
1 packages and 0 specfiles checked; 11 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
php-horde-turba (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pear
    /usr/bin/php
    config(php-horde-turba)
    httpd
    mod_php
    php(language)
    php-channel(pear.horde.org)
    php-date
    php-gettext
    php-hash
    php-json
    php-pcre
    php-pear(PEAR)
    php-pear(pear.horde.org/Horde_Auth)
    php-pear(pear.horde.org/Horde_Core)
    php-pear(pear.horde.org/Horde_Data)
    php-pear(pear.horde.org/Horde_Date)
    php-pear(pear.horde.org/Horde_Dav)
    php-pear(pear.horde.org/Horde_Exception)
    php-pear(pear.horde.org/Horde_Form)
    php-pear(pear.horde.org/Horde_Group)
    php-pear(pear.horde.org/Horde_History)
    php-pear(pear.horde.org/Horde_Icalendar)
    php-pear(pear.horde.org/Horde_Mail)
    php-pear(pear.horde.org/Horde_Mime)
    php-pear(pear.horde.org/Horde_Nls)
    php-pear(pear.horde.org/Horde_Perms)
    php-pear(pear.horde.org/Horde_Prefs)
    php-pear(pear.horde.org/Horde_Role)
    php-pear(pear.horde.org/Horde_Serialize)
    php-pear(pear.horde.org/Horde_Share)
    php-pear(pear.horde.org/Horde_Support)
    php-pear(pear.horde.org/Horde_Url)
    php-pear(pear.horde.org/Horde_Util)
    php-pear(pear.horde.org/Horde_View)
    php-pear(pear.horde.org/horde)
    php-spl



Provides
--------
php-horde-turba:
    config(php-horde-turba)
    php-horde-turba
    php-pear(pear.horde.org/turba)
    turba



Source checksums
----------------
http://pear.horde.org/get/turba-4.1.4.tgz :
  CHECKSUM(SHA256) this package     : ef84b35a1a9431db645ff6fd89f81be2cd97018951cb345e8f4830169feb2b79
  CHECKSUM(SHA256) upstream package : ef84b35a1a9431db645ff6fd89f81be2cd97018951cb345e8f4830169feb2b79


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1087742
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Remi Collet 2014-05-16 13:06:13 EDT
About the test suites, if you look at the ~100 horde packages already imported, you will notice than, for most of them, the tests are run during %check.

I will do my best to enable the missing ones as soon as possible (working with upstream on this).

Notice, I also consider %check as a MUST in most of the case (which mean, when possible).
Comment 5 Pavel Alexeev 2014-05-16 13:55:07 EDT
(In reply to Remi Collet from comment #4)
> About the test suites, if you look at the ~100 horde packages already
> imported, you will notice than, for most of them, the tests are run during
> %check.
> 
> I will do my best to enable the missing ones as soon as possible (working
> with upstream on this).
> 
> Notice, I also consider %check as a MUST in most of the case (which mean,
> when possible).
I have no doubt.

Please clean spec on import please.

Package APPROVED.
Comment 6 Remi Collet 2014-05-16 14:02:20 EDT
New Package SCM Request
=======================
Package Name: php-horde-turba
Short Description: A web based address book
Upstream URL: php-horde-turba
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 7 Remi Collet 2014-05-16 14:22:30 EDT
New Package SCM Request
=======================
Package Name: php-horde-turba
Short Description: A web based address book
Upstream URL: http://www.horde.org/apps/turba
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 8 Gwyn Ciesla 2014-05-16 15:01:56 EDT
Git done (by process-git-requests).
Comment 9 Remi Collet 2014-05-17 01:12:09 EDT
Build done in rawhide/epel7

Will push in stable fc20/epel6 with all the other apps for consistency.
Comment 10 Fedora Update System 2014-05-19 11:14:25 EDT
php-horde-turba-4.1.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-turba-4.1.4-2.el6
Comment 11 Fedora Update System 2014-05-19 11:14:34 EDT
php-horde-turba-4.1.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-turba-4.1.4-2.fc20
Comment 12 Fedora Update System 2014-06-05 00:22:05 EDT
php-horde-turba-4.1.4-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Fedora Update System 2014-06-11 19:34:45 EDT
php-horde-turba-4.1.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.